summaryrefslogtreecommitdiff
path: root/src/clean.bash
diff options
context:
space:
mode:
authorMikio Hara <mikioh.mikioh@gmail.com>2012-02-15 23:52:07 +0900
committerMikio Hara <mikioh.mikioh@gmail.com>2012-02-15 23:52:07 +0900
commitce4acc5951e5b1c9591ffa3f2f1257cc04ad5c1c (patch)
treed3568b2e2f9b32d40203ff0e22b343d2e3edaaa5 /src/clean.bash
parent9bf1de5e0342b7bd55050cacaebfab5ee0cf3399 (diff)
downloadgo-ce4acc5951e5b1c9591ffa3f2f1257cc04ad5c1c.tar.gz
build: fix clean.bash
R=golang-dev, rsc CC=golang-dev http://codereview.appspot.com/5672052
Diffstat (limited to 'src/clean.bash')
-rwxr-xr-xsrc/clean.bash9
1 files changed, 5 insertions, 4 deletions
diff --git a/src/clean.bash b/src/clean.bash
index 958ff7369..f36260240 100755
--- a/src/clean.bash
+++ b/src/clean.bash
@@ -5,11 +5,12 @@
set -e
-if [ ! -x ../bin/tool/dist ]; then
- echo 'cannot find ../bin/tool/dist; nothing to clean' >&2
+eval $(go tool dist env)
+
+if [ ! -x $GOTOOLDIR/dist ]; then
+ echo 'cannot find $GOTOOLDIR/dist; nothing to clean' >&2
exit 1
fi
-eval $(../bin/tool/dist env)
"$GOBIN/go" clean -i std
-../bin/tool/dist clean
+$GOTOOLDIR/dist clean